weka.classifiers.misc

## Class InputMappedClassifierBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - weka.classifiers.misc.InputMappedClassifierBeanInfo

- All Implemented Interfaces:
    java.beans.BeanInfo

      public class InputMappedClassifierBeanInfo
      extends java.beans.SimpleBeanInfo

  Bean info class for the InputMappedClassifier. Ensures that the FileEnvironmentField class is used as the custom property editor in the GOE for the modelPath property.
  Version:
    $Revision: 8034 $
  Author:
    Mar Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Field Summary

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputMappedClassifierBeanInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Get an array of PropertyDescriptors for the InputMappedClassifier's public properties.

    - ### Methods inherited from class java.beans.SimpleBeanInfo

      `getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputMappedClassifierBeanInfo

          public InputMappedClassifierBeanInfo()

  - ### Method Detail

    - #### getPropertyDescriptors

          public java.beans.PropertyDescriptor[] getPropertyDescriptors()

      Get an array of PropertyDescriptors for the InputMappedClassifier's public properties.
      Specified by:
        `getPropertyDescriptors` in interface `java.beans.BeanInfo`
      Overrides:
        `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`
      Returns:
        an array of PropertyDescriptors